#include<bits/stdc++.h>
using namespace std;
ifstream fi("DEMNT.inp");
ofstream fo("DEMNT.out");
int kt(int x){
  if(x<2)return 0;
  else{
    bool k=true;
    for(int i=2;i<=sqrt(x);++i)if(x%i==0){k=false; break;}
    if(k)return 1;
    else return 0;
  }
}
int main(){
   int n,x,ans=0;
   fi>>n;
   for(int i=0;i<n;++i){fi>>x;if(kt(x))++ans;}
   fo<<ans;
}
